PingOne Platform APIs

Digital Wallet Apps

The digital wallet apps service controls the relationship between the customer’s digital wallet app, which communicates with users' digital wallets, and a customer’s PingOne application.

Because the digital wallet app communicates between the PingOne application and users' digital wallets, if you delete the PingOne application, the digital wallet app is also deleted.

The status of every user’s digital wallets associated with the deleted digital wallet app is set to DISABLED. User credentials in the disabled digital wallets remain ISSUED because they can be assigned to a different digital wallet.

Assigning admin roles and permissions to this service

Admin role assignments determine access to PingOne APIs. When assigning admin roles to this service, refer to PingOne Permissions by Service for the service-specific permissions.

You can also choose to assign admin roles based on particular service resources. Refer to PingOne Permissions by Resource when assigning admin roles per service resources.

Admin assignments to roles are set by:

Refer to Roles Management for more information.

Digital wallet app data model

Property Type Required Mutable Description

application.id

String

Required

Immutable

The identifier (UUID) of the PingOne application associated with the digital wallet app.

appOpenUrl

String

Required

Mutable

URL sent in notifications to the user to communicate with the service.

createdAt

DateTime

N/A

Read-only

Date and time the digital wallet app was created.

environment.id

String

N/A

Read-only

PingOne environment identifier (UUID) in which the digital wallet app exists.

id

String

N/A

Read-only

Identifier (UUID) associated with the digital wallet app.

name

String

Required

Mutable

Name associated with the digital wallet app.

updatedAt

DateTime

N/A

Read-only

Date and time the digital wallet app was last updated. Can be null.

usesPingOneWalletSDK

Boolean

Optional

Immutable

Whether the user’s wallet app uses the PingOne Wallet SDK. Default is true.

Digital Wallet Apps errors

In addition to the general error codes, digital wallet app operations can return the following errors:

HTTP status Top‑level code Detail code When it happens and what the response contains

400

INVALID_DATA

EMPTY_VALUE or INVALID_VALUE

Message: Validation Error : [<property> <message>]

When and details

When: A POST or PUT /digitalWalletApplications request omits name, supplies an appOpenUrl that is not a valid URL or longer than 256 characters, or supplies an application relationship without an id

Details: The Bean-Validation literal for the failing property, for example must not be empty for an omitted name, must be a valid URL for an invalid appOpenUrl, length must be between 0 and 256 for an appOpenUrl longer than 256 characters, or must have an id for an application relationship without an id (for example Validation Error : [appOpenUrl length must be between 0 and 256])

400

INVALID_DATA

REQUIRED_VALUE

Message: The request could not be completed. One or more validation errors were in the request.

When and details

When: A POST or PUT /digitalWalletApplications request omits the application property, or omits appOpenUrl when the PingOne application does not have a universal link URL

Details: application is required for PingOne Wallet SDK for the application relationship, or appOpenUrl is required if PingOne Application does not have universal link URL for the appOpenUrl property

400

INVALID_DATA

INVALID_VALUE

Message: The request could not be completed. One or more validation errors were in the request.

When and details

When: A POST or PUT /digitalWalletApplications request sets usesPingOneWalletSDK to false, references a application.id that does not exist in the environment, or references a PingOne application that has neither a mobile bundle ID nor a package name (nor a Huawei app ID and package name)

Details: only PingOne Wallet SDK applications currently supported for the usesPingOneWalletSDK property, application does not exist for the application relationship, or application must have either mobile bundle ID or package name or huawei app ID and huawei package name for the application relationship

400

INVALID_DATA

INVALID_VALUE

Message: The request could not be completed. One or more validation errors were in the request.

When and details

When: The environment does not have the capability to use PingOne Credentials

Details: Environment does not have capability to use credentials

400

INVALID_REQUEST

INVALID_VALUE

Message: The request could not be completed. The request was malformed or invalid.

When and details

When: A path identifier cannot be parsed as a UUID, or the request body cannot be deserialized as JSON

Details: For a JSON field conversion error, the target is the field path and the detail message is Invalid value for attribute.. Otherwise no detail is returned

400

REQUEST_FAILED

INVALID_FILTER

Message: The request could not be completed. One or more validation errors were in the request.

When and details

When: A GET /digitalWalletApplications request uses a filter expression whose value cannot be parsed as a UUID, or a filter on an attribute that does not support filtering

Details: The value provided is invalid. for the filter value, or The filter attribute was invalid or does not support filtering. for the filter attribute

400

REQUEST_FAILED

CONSTRAINT_VIOLATION

Message: The request could not be completed. There was an issue processing the request.

When and details

When: A POST or PUT /digitalWalletApplications request references a PingOne application that is already associated with another digital wallet app, or a PUT or DELETE targets a PingID Mobile digital wallet application

Details: digitalWalletApplication already exists with given application for the application relationship, unable to modify PingID Mobile Digital Wallet Application, or unable to delete PingID Mobile Digital Wallet Application

403

ACCESS_FAILED

None

Message: The actor attempting to perform the request is not authorized.

When and details

When: The actor lacks the credentialsIssuance:create:digitalWalletApplication permission (POST), the credentialsIssuance:read:digitalWalletApplication permission (GET), the credentialsIssuance:update:digitalWalletApplication permission (PUT), or the credentialsIssuance:delete:digitalWalletApplication permission (DELETE)

Details: None

404

NOT_FOUND

None

Message: The request could not be completed. The requested resource was not found.

When and details

When: A GET, PUT, or DELETE /digitalWalletApplications/{digitalWalletApplicationID} request references a digital wallet app that does not exist in the environment

Details: None

500

UNEXPECTED_ERROR

None

Message: There was an unexpected error with the service. Please try again later.

When and details

When: The service encounters an internal error while processing the request.

Details: None